import { NewsService } from './news.service';
export declare class NewsController {
    private readonly newsService;
    constructor(newsService: NewsService);
    getNews(_filters: any): Promise<import("./news.entity").NewsEntity[]>;
    getOne(id: string): Promise<import("./news.entity").NewsEntity | null>;
    create(body: any): Promise<import("./news.entity").NewsEntity>;
    upload(file: Express.Multer.File): {
        imageUrl: string;
    };
    update(id: string, body: any): Promise<import("./news.entity").NewsEntity | null>;
    remove(id: string): Promise<import("typeorm").DeleteResult>;
}
